
QGIS Application - Bug report #16039

QGIS crash when loading Geomedia mdb, ogr2ogr works fine

2017-01-05 05:03 AM - amedeo fadini

Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 23954

Description

I have compiled GDAL 2.1.2 following the instructions in 

[[http://www.gdal.org/drv_mdb.html]] to read hexagon/intergraph Geomedia .mdb layers. It works fine with ogrinfo and ogr2ogr.

Trying to open the attached file (three layers, one with one polygon) in qgis loads the sublayers and crash when update canvas. the

stdout says:

QGIS died on signal 11[New LWP 30883]

(full  text attached)

Runing qgis in gdb freezes before listing sublayers.

here are gdb output.

-----

src/providers/ogr/qgsogrprovider.cpp: 3439: (open) [0ms] mFilePath: /home/amefad/abacospa/cona/2013_SIT_Banche dati

Geomedia/PAT_QuadroA.mdb

src/providers/ogr/qgsogrprovider.cpp: 3440: (open) [0ms] mLayerIndex: 0

src/providers/ogr/qgsogrprovider.cpp: 3441: (open) [0ms] mLayerName: 

src/providers/ogr/qgsogrprovider.cpp: 3442: (open) [0ms] mSubsetString: 

ERROR 1: PGeo: MDB Tools driver not found!

Warning 1: Unable to install MDB driver for ODBC, MDB access may not supported.

ERROR 1: Unable to initialize ODBC connection to DSN for DRIVER=Microsoft Access Driver (.mdb,

*.accdb);DBQ=/home/amefad/abacospa/cona/2013_SIT_Banche dati Geomedia/PAT_QuadroA.mdb,

[unixODBC][Driver Manager]Can't open lib 'Microsoft Access Driver (.mdb, *.accdb)' : file not found

src/providers/ogr/qgsogrprovider.cpp: 3486: (open) [8ms] OGR failed to opened in update mode, trying in read-only mode

Thread 1 "qgis.bin" received signal SIGSEGV, Segmentation fault.

0x00007fff050002b4 in ?? ()

here's the output of ogrinfo:

-----

$ ogrinfo PAT_QuadroA.mdb 

ERROR 1: PGeo: MDB Tools driver not found!

Warning 1: Unable to install MDB driver for ODBC, MDB access may not supported.

ERROR 1: Unable to initialize ODBC connection to DSN for DRIVER=Microsoft Access Driver (.mdb,

2025-04-27 1/3

http://www.gdal.org/drv_mdb.html


*.accdb);DBQ=PAT_QuadroA.mdb,

[unixODBC][Driver Manager]Can't open lib 'Microsoft Access Driver (.mdb, *.accdb)' : file not found

Had to open data source read-only.

INFO: Open of `PAT_QuadroA.mdb'

      using driver `MDB' successful.

1: a0102011_ConfiniComunali

2: a0102012_ConfiniComunaliL

3: a0102021_ConfinePATI

History

#1 - 2017-01-05 06:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

have you really compiled QGIS against your compiled version of gdal/ogr?

#2 - 2017-01-12 02:33 AM - amedeo fadini

Oops... Sorry..

I wasn't aware of the needs to recompile also QGIS and never compiled QGIS before (i use nightly repository). In fact it's logic. I'll give a try and update the

issue·

#3 - 2017-01-12 05:19 AM - amedeo fadini

I compiled QGIS on my system, the version of GDAL matches with the version I have installed.

The crash still happens, but is only after the layer is loaded, when update canvas: if I unflag "canvas update" it loads the layer, assign sr, open attribute

table and even copy geometry to other layers. All is ok. When the geomedia layer is disabled map canvas update correctly, when I enable it chrashes.

#4 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2017-03-06 10:16 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2017-03-07 07:20 AM - Giovanni Manghi

- Target version set to Version 3.0

#7 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2017-11-10 11:44 PM - Even Rouault

- Resolution set to up/downstream

- Description updated

- Status changed from Open to Closed

GDAL issue fixed in GDAL trunk per https://trac.osgeo.org/gdal/changeset/40685 and GDAL 2.2 branch per https://trac.osgeo.org/gdal/changeset/40686
Files

PAT_QuadroA.mdb 484 KB 2017-01-05 amedeo fadini

qgis_stdout.txt 22.2 KB 2017-01-05 amedeo fadini
